NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Routing.ClockPartBuilder Class Reference

Builder class for clock part object More...

Inheritance diagram for NXOpen.Routing.ClockPartBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void DragByTransform (NXOpen.Vector3d translation, NXOpen.Matrix3x3 rotation)
 Drag the selected objects by the given translation and rotation. More...
 
unsafe void InitializeFromPort (NXOpen.Routing.Port port)
 Initializes (or resets) the builder based off of the input line segment. More...
 
unsafe void SetLockEngagement (bool lockEngagement)
 Set EngagementLock of builder attribute More...
 
unsafe void SetLockRotation (bool lockRotation)
 Set RotationLock of builder attribute More...
 
unsafe void StartDrag ()
 Begin a drag operation. More...
 
unsafe void StopDrag ()
 End a drag operation. More...
 
unsafe void SuppressPortConstraint (NXOpen.Routing.Port portTag, bool suppress)
 Suppress the constraind applied to the selected NXOpen.Routing.Port More...
 
unsafe void UpdateRotationAngle (double angle)
 Suppress the constraind applied to the selected NXOpen.Routing.Port More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.SelectNXObject PortSelection [get]
 Returns the user selected NXOpen.Routing.Port for rotation of compoent More...
 
unsafe NXOpen.Expression RotationAngle [get]
 Returns the rotation angle applied to the component for rotation More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Builder class for clock part object

To create a new instance of this class, use NXOpen.Routing.RouteManager.CreateClockPartBuilder

Default values.

Property Value

RotationAngle.Value

0

Created in NX7.5.0

Member Function Documentation

unsafe void NXOpen.Routing.ClockPartBuilder.DragByTransform ( NXOpen.Vector3d  translation,
NXOpen.Matrix3x3  rotation 
)
inline

Drag the selected objects by the given translation and rotation.

Only call after invoking the Routing.ClockPartBuilder.StartDrag method. After finished dragging, call Routing.ClockPartBuilder.StopDrag .

Created in NX7.5.0

License requirements: routing_base ("Routing Basic")

Parameters
translationThe translation to be applied.
rotationThe rotation to be applied
unsafe void NXOpen.Routing.ClockPartBuilder.InitializeFromPort ( NXOpen.Routing.Port  port)
inline

Initializes (or resets) the builder based off of the input line segment.

Created in NX7.5.0

License requirements: routing_base ("Routing Basic")

Parameters
portport object, may be a null reference (Nothing in Visual Basic)
unsafe void NXOpen.Routing.ClockPartBuilder.SetLockEngagement ( bool  lockEngagement)
inline

Set EngagementLock of builder attribute

Created in NX7.5.3

License requirements: routing_base ("Routing Basic")

Parameters
lockEngagementLock Engagement
unsafe void NXOpen.Routing.ClockPartBuilder.SetLockRotation ( bool  lockRotation)
inline

Set RotationLock of builder attribute

Created in NX7.5.3

License requirements: routing_base ("Routing Basic")

Parameters
lockRotationLock Rotation
unsafe void NXOpen.Routing.ClockPartBuilder.StartDrag ( )
inline

Begin a drag operation.

Created in NX7.5.0

License requirements: routing_base ("Routing Basic")

unsafe void NXOpen.Routing.ClockPartBuilder.StopDrag ( )
inline

End a drag operation.

Created in NX7.5.0

License requirements: routing_base ("Routing Basic")

unsafe void NXOpen.Routing.ClockPartBuilder.SuppressPortConstraint ( NXOpen.Routing.Port  portTag,
bool  suppress 
)
inline

Suppress the constraind applied to the selected NXOpen.Routing.Port

Created in NX7.5.0

License requirements: routing_base ("Routing Basic")

Parameters
portTagRouting Port whose constraint is to be suppressed
suppresstrue to suppress , false to unsuppress
unsafe void NXOpen.Routing.ClockPartBuilder.UpdateRotationAngle ( double  angle)
inline

Suppress the constraind applied to the selected NXOpen.Routing.Port

Created in NX7.5.0

License requirements: routing_base ("Routing Basic")

Parameters
angletrue to suppress , false to unsuppress

Property Documentation

unsafe NXOpen.SelectNXObject NXOpen.Routing.ClockPartBuilder.PortSelection
get

Returns the user selected NXOpen.Routing.Port for rotation of compoent

Created in NX7.5.0

License requirements: routing_base ("Routing Basic")

unsafe NXOpen.Expression NXOpen.Routing.ClockPartBuilder.RotationAngle
get

Returns the rotation angle applied to the component for rotation

Created in NX7.5.0

License requirements: routing_base ("Routing Basic")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.